﻿using Infragistics.Documents.RichText;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RichTextWhitePoint
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamRichText.Document.RootNode.Settings = new DocumentSettings
                    {
                        Background = new ColorInfo(Colors.Red),
                    };
        }

        private void xamRichText_Loaded(object sender, RoutedEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {
                Grid root = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(Grid), false) as Grid;

                foreach (FrameworkElement item in root.Children)
                {
                    if (item is Rectangle)
                        item.Margin = new Thickness(0);
                }
            }), System.Windows.Threading.DispatcherPriority.Background);
        }
    }
}
